Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class LoadModelDialog

    java.lang.Object
      uchicago.src.sim.engine.LoadModelDialog

All Implemented Interfaces:
  ParameterFileListener

    public class LoadModelDialog

extends java.lang.Object
implements ParameterFileListener

Dialog for loading a model. Called when the user clicks on the folder icon in the gui controller. This will load all the appropriate jars and SimModels in repast/demo as well as any jars or classes in repast/models. Other classes or jars can be loaded via the add button.

Version:
  $Revision: 1.29 $ $Date: 2005/08/16 18:27:40 $
Author:
  Nick Collier

Constructor Summary
`LoadModelDialog()` Creates a LoadModelDialog.

Method Summary
`void` | `display(javax.swing.JFrame f)` Displays this LoadModelDialog.
`javax.swing.JDialog` | `getDialog()`
`SimModel` | `getModel()` Returns the selected SimModel if any, otherwise null.
`java.lang.String` | `getParameterFile()` Returns the parameter file name as a String.
`void` | `setParameterFile(java.lang.String fileName)` Returns the parameter file name as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadModelDialog

    public LoadModelDialog()

  Creates a LoadModelDialog.

Method Detail

### display

    public void display(javax.swing.JFrame f)

  Displays this LoadModelDialog.

  Parameters:
    `f` - the parent JFrame for this LoadModelDialog

### getModel

    public SimModel getModel()

  Returns the selected SimModel if any, otherwise null.

### getParameterFile

    public java.lang.String getParameterFile()

  Returns the parameter file name as a String.

### setParameterFile

    public void setParameterFile(java.lang.String fileName)

  Returns the parameter file name as a String.

  Specified by:
    `setParameterFile` in interface `ParameterFileListener`

### getDialog

    public javax.swing.JDialog getDialog()

  Returns:
    Returns the dialog.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD